mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.CommonAcl To be added.

Represents a Discretionary Access Control List (DACL).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified values.

  true if the new object is a container.
  true if the new object is a directory object Access Control List (ACL).
  The number of Access Control Entries (ACEs) this object can contain. This number is to be used only as a hint.
- Constructor
  2.0.0.0
  4.0.0.0

  The Access Control Entries (ACEs) in the object are cloned.

  Initializes a new instance of the class with the specified values from the specified object.

  true if the new object is a container.
  true if the new object is a directory object Access Control List (ACL).
  The underlying object for the new object. Specify null to create an empty ACL.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified values.

  true if the new object is a container.
  true if the new object is a directory object Access Control List (ACL).
  The revision level of the new object.
  The number of Access Control Entries (ACEs) this object can contain. This number is to be used only as a hint.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  This method can cause existing ACEs to be merged.

  Adds an Access Control Entry (ACE) with the specified settings to the current object.

  The type of access control (allow or deny) to add. The for which to add an ACE. The access rule for the new ACE. Flags that specify the inheritance properties of the new ACE. Flags that specify the inheritance propagation properties for the new ACE.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` ``

  This method can cause existing ACEs to be merged.

  Adds an Access Control Entry (ACE) with the specified settings to the current object. Use this method for directory object Access Control Lists (ACLs) when specifying the object type or the inherited object type for the new ACE.

  The type of access control (allow or deny) to add. The for which to add an ACE. The access rule for the new ACE. Flags that specify the inheritance properties of the new ACE. Flags that specify the inheritance propagation properties for the new ACE. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the new ACE applies. The identity of the class of child objects which can inherit the new ACE.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` ``

  Access removal is accomplished by using a complex algorithm that might add Access Control Entries (ACEs) in addition to removing them.

  Removes the specified access control rule from the current object.

  true if this method successfully removes the specified access; otherwise, false.

  The type of access control (allow or deny) to remove. The for which to remove an access control rule. The access mask for the rule to be removed. Flags that specify the inheritance properties of the rule to be removed. Flags that specify the inheritance propagation properties for the rule to be removed.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` `` `` `` ``

  Access removal is accomplished by using a complex algorithm that might add Access Control Entries (ACEs) in addition to removing them.

  Removes the specified access control rule from the current object. Use this method for directory object Access Control Lists (ACLs) when specifying the object type or the inherited object type.

  true if this method successfully removes the specified access; otherwise, false.

  The type of access control (allow or deny) to remove. The for which to remove an access control rule. The access mask for the access control rule to be removed. Flags that specify the inheritance properties of the access control rule to be removed. Flags that specify the inheritance propagation properties for the access control rule to be removed. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the removed access control rule applies. The identity of the class of child objects which can inherit the removed access control rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added.

  Removes the specified Access Control Entry (ACE) from the current object.

  The type of access control (allow or deny) to remove. The for which to remove an ACE. The access mask for the ACE to be removed. Flags that specify the inheritance properties of the ACE to be removed. Flags that specify the inheritance propagation properties for the ACE to be removed.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added.

  Removes the specified Access Control Entry (ACE) from the current object. Use this method for directory object Access Control Lists (ACLs) when specifying the object type or the inherited object type for the ACE to be removed.

  The type of access control (allow or deny) to remove. The for which to remove an ACE. The access mask for the ACE to be removed. Flags that specify the inheritance properties of the ACE to be removed. Flags that specify the inheritance propagation properties for the ACE to be removed. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the removed ACE applies. The identity of the class of child objects which can inherit the removed ACE.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  This method removes all existing Access Control Entries (ACEs) that match both specified object and the specified access qualifier (allow or deny).

  Sets the specified access control for the specified object.

  The type of access control (allow or deny) to set. The for which to set an ACE. The access rule for the new ACE. Flags that specify the inheritance properties of the new ACE. Flags that specify the inheritance propagation properties for the new ACE.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` ``

  This method removes all existing Access Control Entries (ACEs) that match both specified object and the specified access qualifier (allow or deny).

  Sets the specified access control for the specified object.

  The type of access control (allow or deny) to set. The for which to set an ACE. The access rule for the new ACE. Flags that specify the inheritance properties of the new ACE. Flags that specify the inheritance propagation properties for the new ACE. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the new ACE applies. The identity of the class of child objects which can inherit the new ACE.